// $Id: RMOPhotonBuf.h,v 1.2 2004/10/05 18:32:07 hoshina Exp $
#ifndef __RMOPhotonBuf__H__
#define __RMOPhotonBuf__H__

//*************************************************************************
//* ---------------------
//* RMOPhotonBuf Class
//* ---------------------
//* (Description)
//*     Buffer class for photons.
//* (Requires)
//* (Provides)
//*	RMOPhotonBuf              : base class for datum
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include "RMOVBuffer.h"

class RMOPhotonBuf : public RMOVBuffer {

public:

  RMOPhotonBuf() : RMOVBuffer("RMOPhotonBuf", "RMOPhotonBuf") {}
  virtual ~RMOPhotonBuf(){}

  virtual void DumpInfo(Option_t *opt) {}

private:
 
  ClassDef(RMOPhotonBuf, 1)     // Buffer class for photons

};

#endif

