// $Id: RMOAttVerbose.cxx,v 1.1.1.1 2004/08/06 02:42:01 hoshina Exp $
//*************************************************************************
//* --------------------
//* RMOAttVerbose
//* --------------------
//* (Description)
//*	Attribute class which add a verbose flag to baseclasses.
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "RMOAttVerbose.h"

ClassImp(RMOAttVerbose)

using namespace std;

void RMOAttVerbose::VerbosePrint(const TString& txt, EVerboseLevel flag)
{
//*-*-*-*-*-*-*-*-*-*Destructor for module*-*-*-*-*-*-*-*-*-*-*
//                   =====================
   if (flag <= fVerboseLevel)  {
      cerr << flag << " " << txt << endl;
   }
}












