// $Id: RMOVBuffer.h,v 1.1.1.1 2004/08/06 02:42:03 hoshina Exp $
#ifndef __RMOVBuffer__H__
#define __RMOVBuffer__H__

//*************************************************************************
//* ---------------------
//* RMOVBuffer Class
//* ---------------------
//* (Description)
//*     Abstract base class for data buffer.
//*     Derived class must implement DumpInfo(Option_t *opt) function.
//* (Requires)
//* (Provides)
//*	RMOVBuffer              : base class for buffer
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include <TNamed.h>
#include "RMOVAttBuffer.h"
#include "RMOAttVerbose.h"

class RMOVBuffer : public TNamed, public RMOVAttBuffer, public RMOAttVerbose {

public:

  RMOVBuffer();
  RMOVBuffer(const TString &name, const TString &title);
  virtual    ~RMOVBuffer();

private:

  ClassDef(RMOVBuffer, 1)       // abstract base class for datum 

};

#endif

