// $Id: RMOMCPhotonHitBuf.h,v 1.2 2004/10/05 18:32:07 hoshina Exp $
#ifndef __RMOMCPhotonHitBuf__H__
#define __RMOMCPhotonHitBuf__H__

//*************************************************************************
//* ---------------------
//* RMOMCPhotonHitBuf Class
//* ---------------------
//* (Description)
//*     Buffer class for MC photon hits
//* (Requires)
//* (Provides)
//*	RMOMCPhotonHitBuf             
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include "RMOVBuffer.h"

class RMOMCPhotonHitBuf : public RMOVBuffer {

public:

  RMOMCPhotonHitBuf() : RMOVBuffer("RMOMCPhotonHitBuf", "RMOMCPhotonHitBuf") {}
  virtual ~RMOMCPhotonHitBuf(){}

  virtual void  DumpInfo(Option_t *opt) {}

private:
 
  ClassDef(RMOMCPhotonHitBuf, 1)     // Buffer class for MC photon hits

};

#endif

