// $Id: RMOVDatum.h,v 1.1.1.1 2004/08/06 02:42:03 hoshina Exp $
#ifndef __RMOVDatum__H__
#define __RMOVDatum__H__

//*************************************************************************
//* ---------------------
//* RMOVDatum Class
//* ---------------------
//* (Description)
//*     Abstract base wrapper class for imput data.
//* (Requires)
//* (Provides)
//*	RMOVDatum              : base class for datum
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************

#include "TObject.h"
#include "RMOVAttDatum.h"

class RMOVDatum : public TObject, public RMOVAttDatum {

public:

  RMOVDatum() : TObject(), RMOVAttDatum() {}
  virtual ~RMOVDatum(){}

private:

  ClassDef(RMOVDatum, 1)            // abstract base class for datum 
};

#endif

