// $Id: RMOVParticle.cxx,v 1.1.1.1 2004/08/06 02:42:04 hoshina Exp $
//*************************************************************************
//* --------------------
//* RMOVParticle
//* --------------------
//* (Description)
//*	Abstract base class for particles
//* (Requires)
//* (Provides)
//* (Update Record)
//*	2003/12/22  K.Hoshina	Original version.
//*************************************************************************

#include "RMOVParticle.h"

ClassImp(RMOVParticle)

using namespace std;

//=====================================================================
//* constructor -------------------------------------------------------

RMOVParticle::RMOVParticle()
             :RMOPoint(), fEnergy(0)
{
}

RMOVParticle::RMOVParticle(const TVector3 &pos,
                           const TVector3 &dir)
          :RMOPoint(pos, dir), fEnergy(0)
{
}

//=====================================================================
//* destructor --------------------------------------------------------

RMOVParticle::~RMOVParticle()
{
}

//=====================================================================
//* Output     --------------------------------------------------------

void RMOVParticle::Output(ofstream &out)
{
   RMOPoint::Output(out);
}


