// $Id: RMOPMTChargeBuf.h,v 1.2 2004/10/05 19:58:29 hoshina Exp $
#ifndef __RMOPMTChargeBuf__H__
#define __RMOPMTChargeBuf__H__

//*************************************************************************
//* ---------------------
//* RMOPMTChargeBuf Class
//* ---------------------
//* (Description)
//*     Buffer class for gained charge.
//* (Requires)
//* (Provides)
//*	RMOPMTChargeBuf             
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include "RMOVBuffer.h"

class RMOPMTChargeBuf : public RMOVBuffer {

public:

  RMOPMTChargeBuf() : RMOVBuffer("RMOPMTChargeBuf", "RMOPMTChargeBuf") {}
  virtual ~RMOPMTChargeBuf(){}

  virtual void DumpInfo(Option_t *opt) {}

private:
 
  ClassDef(RMOPMTChargeBuf, 1)     // Buffer class for gained charge

};

#endif

