// $Id: RMOPMTPEBuf.h,v 1.1.1.1 2004/08/06 02:42:07 hoshina Exp $
#ifndef __RMOPMTPEBuf__H__
#define __RMOPMTPEBuf__H__

//*************************************************************************
//* ---------------------
//* RMOPMTPEBuf Class
//* ---------------------
//* (Description)
//*     Buffer class for photo electrons
//* (Requires)
//* (Provides)
//*	RMOPMTPEBuf             
//* (Update Record)
//*	2003/12/15  K.Hoshina	Original version.
//*************************************************************************


#include "RMOVBuffer.h"

class RMOPMTPEBuf : public RMOVBuffer {

public:

  RMOPMTPEBuf() : RMOVBuffer("RMOPMTPEBuf", "RMOPMTPEBuf") {}
  virtual ~RMOPMTPEBuf(){}

  virtual void DumpInfo(Option_t *opt) {}

private:
 
  ClassDef(RMOPMTPEBuf, 1)     // Buffer class for photo electrons

};

#endif

